Bug 1128039 - Miss "rdloaddriver=scsi_dh_alua" in grub.cfg after enable SCSI DH_ALUA and upgrade rhevh7
Summary: Miss "rdloaddriver=scsi_dh_alua" in grub.cfg after enable SCSI DH_ALUA and up...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ovirt-3.6.0-rc3
: 3.6.0
Assignee: Ryan Barry
QA Contact: wanghui
URL:
Whiteboard: node
Keywords:
Depends On:
Blocks: rhevh-7.0
TreeView+ depends on / blocked
 
Reported: 2014-08-08 07:16 UTC by haiyang,dong
Modified: 2016-02-10 19:17 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-10 09:04:10 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 33509 master ABANDONED Save changed bootloader arguments on upgrades Never

Description haiyang,dong 2014-08-08 07:16:51 UTC
Description of problem:
Clean install rhev-hypervisor7-7.0-20140807.0.iso, and enter into Remote Storage page, enable SCSI DH_ALUA.
Then could see "rdloaddriver=scsi_dh_alua" in grub.cfg
[root@localhost admin]# cat /dev/.initramfs/live/grub2/grub.cfg 

#default saved
set timeout=5
#hiddenmenu
menuentry "RHEV-H 7.0-20140807.0.el7ev" {
set root=(hd0,3)
search --no-floppy --label Root --set root
linux /vmlinuz0 root=live:LABEL=Root ro rootfstype=auto rootflags=ro rd.live.image rd.live.check rd.lvm=0  crashkernel=128M elevator=deadline quiet max_loop=256 rd.luks=0 rd.md=0 rd.dm=0 rdloaddriver=scsi_dh_alua
initrd /initrd0.img
}

But after upgrade rhev-hypervisor7-7.0-20140807.0.iso into itself, login the new
version, check that although shown:
Enable SCSI DH_ALUA                       [X]
in Remote Storage page.

But miss "rdloaddriver=scsi_dh_alua" in grub.cfg
[root@dhcp-66-73-241 admin]# cat /dev/.initramfs/live/grub2/grub.cfg 

#default saved
set timeout=5
#hiddenmenu
menuentry "RHEV-H 7.0-20140807.0.el7ev" {
set root=(hd0,2)
search --no-floppy --label Root --set root
linux /vmlinuz0 root=live:LABEL=Root ro rootfstype=auto rootflags=ro rd.live.image rd.live.check rd.lvm=0  crashkernel=128M elevator=deadline quiet max_loop=256 rd.luks=0 rd.md=0 rd.dm=0
initrd /initrd0.img
}
menuentry "BACKUP RHEV-H 7.0-20140807.0.el7ev" {
set root (hd0,0)
search --no-floppy --label RootBackup --set root
linux /vmlinuz0 root=live:LABEL=RootBackup ro rootfstype=auto rootflags=ro rd.live.image rd.live.check rd.lvm=0  crashkernel=128M elevator=deadline quiet max_loop=256 rd.luks=0 rd.md=0 rd.dm=0
initrd /initrd0.img
}

Version-Release number of selected component (if applicable):
rhev-hypervisor7-7.0-20140807.0.iso
ovirt-node-3.1.0-0.6.20140731git2c8e71f.el7.noarch


How reproducible:
100%

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Met the same issue for "Set Console Path",Miss "console=/dev/ttyS0,115200n8" in grub.cfg after set console path into "console=/dev/ttyS0,115200n8" and upgrade rhevh7

Comment 2 Fabian Deutsch 2015-05-29 12:52:48 UTC
Moving this out as there is no recent customer request in this topic (SCSI ALUA), and the patch is affecting a critical part of the upgrade flow.

Comment 4 Sandro Bonazzola 2015-10-26 12:36:47 UTC
this is an automated message. oVirt 3.6.0 RC3 has been released and GA is targeted to next week, Nov 4th 2015.
Please review this bug and if not a blocker, please postpone to a later release.
All bugs not postponed on GA release will be automatically re-targeted to

- 3.6.1 if severity >= high
- 4.0 if severity < high

Comment 7 Fabian Deutsch 2015-11-10 09:04:10 UTC
The corresponding bug 1002862 has been closed, thus also closing this one.


Note You need to log in before you can comment on or make changes to this bug.